package com.xinelu.manage.service.taskstatusdict;

import com.xinelu.manage.domain.taskstatusdict.TaskStatusDict;

import java.util.List;


/**
 * 任务状态字典Service接口
 *
 * @author xinelu
 * @date 2024-03-13
 */
public interface ITaskStatusDictService {
    /**
     * 查询任务状态字典
     *
     * @param id 任务状态字典主键
     * @return 任务状态字典
     */
    TaskStatusDict selectTaskStatusDictById(Long id);

    /**
     * 查询任务状态字典列表
     *
     * @param taskStatusDict 任务状态字典
     * @return 任务状态字典集合
     */
    List<TaskStatusDict> selectTaskStatusDictList(TaskStatusDict taskStatusDict);

    /**
     * 新增任务状态字典
     *
     * @param taskStatusDict 任务状态字典
     * @return 结果
     */
    int insertTaskStatusDict(TaskStatusDict taskStatusDict);

    /**
     * 修改任务状态字典
     *
     * @param taskStatusDict 任务状态字典
     * @return 结果
     */
    int updateTaskStatusDict(TaskStatusDict taskStatusDict);

    /**
     * 批量删除任务状态字典
     *
     * @param ids 需要删除的任务状态字典主键集合
     * @return 结果
     */
    int deleteTaskStatusDictByIds(Long[] ids);

    /**
     * 删除任务状态字典信息
     *
     * @param id 任务状态字典主键
     * @return 结果
     */
    int deleteTaskStatusDictById(Long id);
}
